import logo from './logo.svg';
import './App.css';
import { BrowserRouter, Routes, Route } from "react-router-dom";
import Login from './Login';
import Dashboard from './Dashboard';
import ListUsers from './ListUsers';
import EditUser from './EditUser';

function App() {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<h1>Accueil</h1>} />
        <Route path="/login" element={<Login />} />
        <Route path="/dashboard" element={<Dashboard />} >
          <Route path="/dashboard/list-users" element={<ListUsers />} />
          <Route path="/dashboard/edit-user" element={<EditUser />} />
          <Route path="/dashboard/edit-user/:id" element={<EditUser />} />
        </Route>
      </Routes>
    </BrowserRouter>
  );
}

export default App;
